Bug 108084 - REMOTE_USER environment variable not set
REMOTE_USER environment variable not set
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: mod_auth_pgsql (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-27 10:06 EST by Tomas Edwardsson
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-06 07:15:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fixed the REMOTE_USER not set problem (671 bytes, text/plain)
2003-10-27 10:07 EST, Tomas Edwardsson
no flags Details

  None (edit)
Description Tomas Edwardsson 2003-10-27 10:06:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031022
Firebird/0.7

Description of problem:
The REMOTE_USER is not set like in the standard authentication mechanism. This
can be fixed with a quick patch which will follow.

Version-Release number of selected component (if applicable):
mod_auth_pgsql-2.0.1-3

How reproducible:
Always

You can reproduce this with a small perl cgi script or whatever. I'm attaching a
patch that addresses this problem.
Comment 1 Tomas Edwardsson 2003-10-27 10:07:56 EST
Created attachment 95515 [details]
Fixed the REMOTE_USER not set problem
Comment 2 Tomas Edwardsson 2003-10-27 10:09:04 EST
Ohh, also, I've already sent this patch to the maintainer and gotten no reply.
So to get this fixed in my favorite distro I've decided to post it here.
Comment 3 Tomas Edwardsson 2004-03-06 07:15:06 EST
Never addressed so I'm just posting a new bug on Fedora Core test1

Note You need to log in before you can comment on or make changes to this bug.